Name:           ocaml-uunf
Version:        0.9.1
Release:        %mkrel 2
Summary:        Unicode text normalization for OCaml
License:        BSD3
Group:          Development/OCaml
URL:            http://erratique.ch/software/uunf
Source0:        http://erratique.ch/software/uunf/releases/uunf-%{version}.tbz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-uutf-devel
Requires:       ocaml-uutf

%description
Uunf is an OCaml module for normalizing Unicode text. It supports all
Unicode normalization forms [1] and is independent from any IO
mechanism or Unicode text data structure. Text can be processed
without a complete in-memory representation.
 
[1]: http://www.unicode.org/reports/tr15/

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-uutf-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n uunf-%{version}

%build
ocaml setup.ml -configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --destdir %{buildroot}

ocaml setup.ml -build

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/uunf
ocaml setup.ml -install

%files
%doc README CHANGES DEVEL
%dir %{_libdir}/ocaml/uunf
%{_libdir}/ocaml/uunf/META
%{_libdir}/ocaml/uunf/*.cmi
%{_libdir}/ocaml/uunf/*.cma
%{_libdir}/ocaml/uunf/*.cmxs
%{_bindir}/unftrip

%files devel
%doc doc/
%doc test/
%{_libdir}/ocaml/uunf/*.a
%{_libdir}/ocaml/uunf/*.cmxa
%{_libdir}/ocaml/uunf/*.cmx
%{_libdir}/ocaml/uunf/*.mli


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.9.1-2.mga3
+ Revision: 361686
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 malo <malo> 0.9.1-1.mga3
+ Revision: 341175
- new version 0.9.1

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.9.0-3.mga3
+ Revision: 301687
- new rpm group for ocaml

* Fri Sep 28 2012 blue_prawn <blue_prawn> 0.9.0-2.mga3
+ Revision: 299150
- new rpm group for ocaml

* Sun Sep 09 2012 blue_prawn <blue_prawn> 0.9.0-1.mga3
+ Revision: 291449
- build requires uutf
- imported package ocaml-uunf

